Bug 1420662 - Input method offered by ibus does not move to the second window in ZaphodHeads environment
Summary: Input method offered by ibus does not move to the second window in ZaphodHead...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libX11
Version: 6.8
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1374441 1461138
TreeView+ depends on / blocked
 
Reported: 2017-02-09 08:38 UTC by fujiwara
Modified: 2017-06-28 12:27 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1403077
Environment:
Last Closed: 2017-06-21 05:21:26 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 fujiwara 2017-02-14 08:07:03 UTC
Any evaluation of this patch?
Since the ibus patches are big, I don't think the internal patches for RHEL6 only but also both libx11 and ibus needs to be fixed in upstream.
Shall I file the patch in libx11 upstream?

Comment 13 Chris Williams 2017-06-13 18:41:50 UTC
Red Hat Enterprise Linux 6 transitioned to the Production 3 Phase on May 10, 2017.  During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.
 
The official life cycle policy can be reviewed here:
 
http://redhat.com/rhel/lifecycle
 
This issue does not appear to meet the inclusion criteria for the Production Phase 3 and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification.  Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:
 
https://access.redhat.com

Comment 15 fujiwara 2017-06-16 02:46:53 UTC
I investigated another way yesterday.
A User runs xwininfo for a window in the second screen, write a special tag with window ID in .Xresoure by manual, and runs xrdb -merge .Xresource.

But seems the resource values are not updated until XtDestroyApplicationContext() is called. XtDestroyApplicationContext() calls XDisplayClose() and it means ibus-daemon needs to be restarted.
So probably this workaround is not useful.

Currently I think it's the only solution to modify XIM data to append the screen ID with my attached patch.

Comment 16 fujiwara 2017-06-16 10:55:27 UTC
Today I got a chance to chat with X team and got a hint of Screen of Window from focus-in event.
Let me create a debug package later.

Comment 17 fujiwara 2017-06-21 05:21:26 UTC
I had a chance to chat with Peter Hutterer and he gave me to get the screen number. I no longer need to modify libx11.

Comment 20 fujiwara 2017-06-27 02:47:56 UTC
Please do not comment on this bug which is closed.


Note You need to log in before you can comment on or make changes to this bug.